Bug 491555 - Installation with ext4 and encrypion
Installation with ext4 and encrypion
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
anaconda_trace_hash:4bcd60885e1363933...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-22 19:17 EDT by louisgtwo
Modified: 2009-04-03 14:13 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-03 14:13:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (158.86 KB, text/plain)
2009-03-22 19:17 EDT, louisgtwo
no flags Details

  None (edit)
Description louisgtwo 2009-03-22 19:17:19 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.35 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/formats/luks.py", line 112, in setup
    raise LUKSError("luks device not configured")
  File "/usr/lib/anaconda/storage/devices.py", line 1427, in setup
    self.slave.format.setup()
  File "/usr/lib/anaconda/storage/deviceaction.py", line 325, in execute
    self._device.setup()
  File "/usr/lib/anaconda/storage/devicetree.py", line 660, in processActions
    action.execute(intf=self.intf)
  File "/usr/lib/anaconda/storage/__init__.py", line 184, in doIt
    self.devicetree.processActions()
  File "/usr/lib/anaconda/packages.py", line 115, in turnOnFilesystems
    anaconda.id.storage.doIt()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1317, in nextClicked
    self.anaconda.dispatch.gotoNext()
LUKSError: luks device not configured
Comment 1 louisgtwo 2009-03-22 19:17:29 EDT
Created attachment 336229 [details]
Attached traceback automatically from anaconda.
Comment 2 louisgtwo 2009-03-22 19:34:57 EDT
Installing rawhide boot.iso from march 21. Installation got to the point of formatting my partitions. The last action was formatting my /home which was ext4 with encryption. The installer crapped out. Without encryption install went fine. 

I do believe the kernel seg also. As the intaller exited I saw a lot of symbols but I not copy them as the box rebooted.
Comment 3 David Lehman 2009-03-24 21:18:52 EDT
This should be fixed in anaconda-11.5.0.36-1.

Note You need to log in before you can comment on or make changes to this bug.